%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugins .so from provides
%define _exclude_files_from_autoprov %{_libdir}/tumbler-1/plugins/.*\\.so

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Name: 		tumbler
Version: 	0.1.26
Release: 	%mkrel 2
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://git.xfce.org/apps/tumbler
Source0: 	http://archive.xfce.org/src/apps/tumbler/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(libopenraw-gnome-1.0)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libffmpegthumbnailer)
BuildRequires:	jpeg-devel

%description
Tumbler is a D-Bus service for applications to request 
thumbnails for various URI schemes and MIME types.
It is an implementation of the thumbnail management D-Bus 
specification.

%package -n %{libname}
Summary:	A D-bus thumbnailing framweork
Group:		System/Libraries

%description -n %{libname}
Tumbler is a D-Bus service for applications to request 
thumbnails for various URI schemes and MIME types.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README TODO ChangeLog
%{_libdir}/tumbler-1/%{name}d
%dir %{_libdir}/tumbler-1/plugins/
%dir %{_libdir}/tumbler-1/plugins/cache/
%{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/*.service

%files -n %{libname}
%{_libdir}/*%{name}-%{api}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/*%{name}-%{api}.so
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.26-2.mga3
+ Revision: 384840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 wally <wally> 0.1.26-1.mga3
+ Revision: 329106
- new version 0.1.26
- switch to gstreamer-1.0
- exclude plugins .so from provides

* Mon May 28 2012 wally <wally> 0.1.25-1.mga3
+ Revision: 248523
- new version 0.1.25
- clean .spec

* Sun Dec 04 2011 wally <wally> 0.1.23-1.mga2
+ Revision: 176044
- new version 0.1.23

* Sat Feb 19 2011 ahmad <ahmad> 0.1.21-1.mga2
+ Revision: 53978
- imported package tumbler

